Returns a JSON array of all available device vendor objects for device vendor targeting.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/device-vendor/values.do
Returns a JSON array of all available device vendor objects for device vendor targeting. Each element contains the vendor ID and name (e.g. APPLE, SAMSUNG, HUAWEI). These values are used with the create device vendor targeting endpoint. Requires UPDATE permission on the site and MANAGE_SUPPLY_PRE_TARGETING user permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/device-vendor/values.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());